%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	HTTP-GHTTP

Distribution:   CCux
Packager:	Christian Metzen <metzench@ccux.de>

Summary:	Perl HTTP-GHTTP Module.
Name:		perl-%{perlname}
Version:	1.07
Release:	5
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=HTTP+GHTTP
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
Requires:	libghttp
BuildRequires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	libghttp-devel

%description
Perl HTTP-GHTTP Module.
For more details see: http://search.cpan.org/search?module=HTTP+GHTTP

%prep
%setup -q -n %{perlname}-%{version}

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir
%_mandir
%_bindir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jan 01 2008 Stefan Gottwald <gotti@ccux-linux.de> 1.07-5
- Rebuild against perl 5.10.0
* Wed May 17 2006 Christian Wasem <wasem@ccux-linux.de> 1.07-4
- Rebuild against perl-5.8.8
* Sun Dec 04 2005 Stefan Gottwald <gotti@ccux-linux.de> 1.07-3
- Rebuild against perl-5.8.7
* Sun Dec 04 2005 Stefan Gottwald <gotti@ccux-linux.de> 1.07-2
- Build SRPM
* Tue May 25 2004 Christian Metzen <metzench@ccux.de> 1.07-1
- Initial Release
